package jp.sf.amateras.mirage.session;

import jp.sf.amateras.mirage.SqlManager;
import jp.sf.amateras.mirage.exception.SessionException;

public interface Session {

	public void begin() throws SessionException;

	public void commit() throws SessionException;

	public void rollback() throws SessionException;

	public void release() throws SessionException;

	public SqlManager getSqlManager() throws SessionException;

}
